Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.birt.report.model.api.command
Class TemplateTransformEvent

    java.lang.Object
      org.eclipse.birt.report.model.api.activity.NotificationEvent
          org.eclipse.birt.report.model.api.command.TemplateTransformEvent

    public class TemplateTransformEvent

extends NotificationEvent

Notification event that says that transformation betweem a template element and a report item or data set occurs. The target element is the container.

Field Summary
`protected org.eclipse.birt.report.model.core.ContainerContext` | `focus` The slot within the container.

Fields inherited from class org.eclipse.birt.report.model.api.activity.NotificationEvent
`ATTRIBUTE_EVENT, CONTAINER, CONTENT_EVENT, CONTENT_REPLACE_EVENT, CONTENTS, CSS_EVENT, CSS_RELOADED_EVENT, CUSTOM_MSG_EVENT, deliveryPath, DESCENDENT, DIRECT, DISPOSE_EVENT, ELEMENT_CLIENT, ELEMENT_DELETE_EVENT, ELEMENT_LOCALIZE_EVENT, ENCRYPTION_EVENT, EXTENDS_EVENT, EXTENSION_PROPERTY_DEFINITION_EVENT, LAYOUT_CHANGED_EVENT, LIBRARY_CHANGE_EVENT, LIBRARY_EVENT, LIBRARY_RELOADED_EVENT, NAME_EVENT, NAME_SPACE_EVENT, PROPERTY_EVENT, sender, STRUCTURE_CLIENT, STYLE_CLIENT, STYLE_EVENT, target, TEMPLATE_TRANSFORM_EVENT, THEME_EVENT, USER_PROP_EVENT, VALIDATION_EVENT, VIEWS_CONTENT_EVENT`

Constructor Summary
`TemplateTransformEvent(org.eclipse.birt.report.model.core.ContainerContext containerInfo, org.eclipse.birt.report.model.core.DesignElement from, org.eclipse.birt.report.model.core.DesignElement to)` /** Constructs the content replace event with the container element, from element, to element and the slot within this container.

Method Summary
`int` | `getEventType()` Returns the event type.
`IDesignElement` | `getFrom()` Returns the element which this event transforms from.
`int` | `getSlot()` Returns the slot id within the container.
`IDesignElement` | `getTo()` Returns the element which this event transforms to.
`boolean` | `isSame(NotificationEvent event)` Compares and justifies whether this event and the given event is the same.

Methods inherited from class org.eclipse.birt.report.model.api.activity.NotificationEvent
`getDeliveryPath, getSender, getTarget, setDeliveryPath, setSender, setTarget`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### focus

    protected final org.eclipse.birt.report.model.core.ContainerContext focus

  The slot within the container.

Constructor Detail

### TemplateTransformEvent

    public TemplateTransformEvent(org.eclipse.birt.report.model.core.ContainerContext containerInfo,
                                  org.eclipse.birt.report.model.core.DesignElement from,
                                  org.eclipse.birt.report.model.core.DesignElement to)

  /** Constructs the content replace event with the container element, from element, to element and the slot within this container.

  Parameters:
    `containerInfo` - the container information
    `from` - the element which the transformation starts from
    `to` - the element which the transformation ends to

Method Detail

### getEventType

    public int getEventType()

  Description copied from class: `NotificationEvent`
  Returns the event type. The following event types are defined:
  - CONTENT_EVENT
  - ELEMENT_DELETE_EVENT
  - EXTENDS_EVENT
  - NAME_EVENT
  - NAME_SPACE_EVENT
  - PROPERTY_EVENT
  - STYLE_EVENT
  - USER_PROP_EVENT
  - CUSTOM_MSG_EVENT
  - EXTENSION_PROPERTY_DEFINITION_EVENT
  - NOTIFICATION_EVENT
  - VALIDATION_EVENT
  - LIBRARY_EVENT
  - ATTRIBUTE_EVENT
  - DISPOSE_EVENT
  - CONTENT_REPLACE_EVENT
  - TEMPLATE_TRANSFORM_EVENT

  Specified by:
    `getEventType` in class `NotificationEvent`
  Returns:
    the event type.

### getSlot

    public int getSlot()

  Returns the slot id within the container.

  Returns:
    the slot id within the container

### getFrom

    public IDesignElement getFrom()

  Returns the element which this event transforms from.

  Returns:
    the element which this event transforms from.

### getTo

    public IDesignElement getTo()

  Returns the element which this event transforms to.

  Returns:
    the element which this event transforms to.

### isSame

    public boolean isSame(NotificationEvent event)

  Description copied from class: `NotificationEvent`
  Compares and justifies whether this event and the given event is the same.

  Overrides:
    `isSame` in class `NotificationEvent`
  Parameters:
    `event` - the event to compare
  Returns:
    true if the two events are the same, otherwise false

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Actuate Corp. All rights reserved.